Index: TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 3452)
+++ TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 3453)
@@ -92,8 +92,10 @@
 							@Override
 							public void run() {
 								
-								MessageDialog d = new MessageDialog(window.getShell(), TXMCoreMessages.error_error2, null, NLS.bind(
-										CAUIMessages.canNotComputeFactorialAnalysisWithOnlyP0PartsTheMinimumIs4Parts, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok }, 0);
+								MessageDialog d = new MessageDialog(window.getShell(), 
+										TXMCoreMessages.error_error2, 
+										null, 
+										NLS.bind(CAUIMessages.canNotComputeFactorialAnalysisWithOnlyP0PartsTheMinimumIs4Parts, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok }, 0);
 								d.open();
 							}
 						});
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Complementary.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Complementary.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Complementary.java	(revision 3453)
@@ -113,8 +113,7 @@
 		final SetOperationsDialog d = new SetOperationsDialog(shell, "COMPL", corpus);
 		int code = d.open();
 		if (code == Window.OK) {
-			JobHandler jobhandler = new JobHandler(NLS.bind(
-					TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
+			JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
 				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Substraction.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Substraction.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Substraction.java	(revision 3453)
@@ -113,8 +113,7 @@
 		final SetOperationsDialog d = new SetOperationsDialog(shell, "MINUS", corpus);
 		int code = d.open();
 		if (code == Window.OK) {
-			JobHandler jobhandler = new JobHandler(NLS.bind(
-					TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
+			JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
 				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ComputeIntersection.java	(revision 3453)
@@ -63,7 +63,7 @@
 			}
 		}
 		if (set.size() > 1) {
-			System.out.println(CQPUIMessages.ErrorSelectedSubcorpusHaveDifferentMainCorpusP0 + set);
+			Log.warning(CQPUIMessages.bind(CQPUIMessages.ErrorSelectedSubcorpusHaveDifferentMainCorpusP0, set));
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Intersection.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Intersection.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Intersection.java	(revision 3453)
@@ -113,8 +113,7 @@
 		final SetOperationsDialog d = new SetOperationsDialog(shell, "INTER", corpus);
 		int code = d.open();
 		if (code == Window.OK) {
-			JobHandler jobhandler = new JobHandler(NLS.bind(
-					TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
+			JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
 				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Union.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Union.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/Union.java	(revision 3453)
@@ -113,8 +113,7 @@
 		final SetOperationsDialog d = new SetOperationsDialog(shell, "UNION", corpus);
 		int code = d.open();
 		if (code == Window.OK) {
-			JobHandler jobhandler = new JobHandler(NLS.bind(
-					TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
+			JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
 				
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3452)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3453)
@@ -276,7 +276,7 @@
 		
 		if (representationCombo.getItemCount() == 0) {
 			HashMap<String, TreeSearchSelector> selectors = ComputeTreeSearch.getSelectorsForCorpus(corpus);
-			Log.fine(Messages.SyntaxRepresentationP0+selectors);
+			Log.fine(Messages.bind(Messages.SyntaxRepresentationP0, selectors));
 			String[] values = selectors.keySet().toArray(new String[selectors.size()]);
 			representationCombo.setItems(values);
 			
@@ -310,7 +310,7 @@
 				reloadGraph();
 			}
 			catch (Exception e) {
-				System.out.println(Messages.ErrorDuringTreeSearchInitializationP0 + e);
+				Log.severe(Messages.bind(Messages.ErrorDuringTreeSearchInitializationP0, e));
 				Log.printStackTrace(e);
 			}
 		}
@@ -385,7 +385,7 @@
 			QueriesView.refresh();
 		}
 		catch (Exception e) {
-			System.out.println(Messages.ErrorWhileComputingTheTreeP0 + e);
+			Log.severe(Messages.bind(Messages.ErrorWhileComputingTheTreeP0, e));
 			Log.printStackTrace(e);
 		}
 		// JobsTimer.stopAndPrint();
@@ -422,7 +422,7 @@
 				svgPanel.redraw();
 			}
 			else {
-				Log.warning(Messages.ErrorFailToGenerateSVGFileP0+svgFile);
+				Log.warning(Messages.bind(Messages.ErrorFailToGenerateSVGFileP0, svgFile));
 			}
 		}
 		catch (Exception e1) {
@@ -451,7 +451,7 @@
 			svgFile = File.createTempFile("TreeSearch", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		catch (IOException e) {
-			System.out.println(Messages.ErrorP0 + e.getLocalizedMessage());
+			Log.severe(Messages.bind(Messages.ErrorP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 		Log.fine(svgFile.toString());
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ConcordanceLineToTreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ConcordanceLineToTreeSearch.java	(revision 3452)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ConcordanceLineToTreeSearch.java	(revision 3453)
@@ -76,13 +76,13 @@
 		TXMResult r = BaseAbstractHandler.getActiveEditorResult(event);
 		
 		if (!(r instanceof Concordance)) {
-			Log.warning(Messages.ResultIsNotAConcordanceP0+r);
+			Log.warning(Messages.bind(Messages.ResultIsNotAConcordanceP0, r));
 			return null;
 		}
 		
 		ISelection s = HandlerUtil.getCurrentSelection(event);
 		if (!(s instanceof StructuredSelection)) {
-			Log.warning(Messages.SelectionIsNotALineP0+s);
+			Log.warning(Messages.bind(Messages.SelectionIsNotALineP0, s));
 			return null;
 		}
 		
@@ -90,14 +90,14 @@
 		List list = selection.toList();
 		
 		if (list.size() == 0) {
-			Log.warning(Messages.NoEditorSelectionP0+r);
+			Log.warning(Messages.bind(Messages.NoEditorSelectionP0, r));
 			return null;
 		}
 		
 		Concordance concordance = (Concordance)r;
 		Object o = list.get(0);
 		if (!(o instanceof Line)) {
-			Log.warning(Messages.SelectionIsNotALineP0+o);
+			Log.warning(Messages.bind(Messages.SelectionIsNotALineP0, o));
 			return null;
 		}
 		Line l = (Line)o;
Index: TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java	(revision 3452)
+++ TXM/trunk/org.txm.treesearch.rcp/src/org/txm/treesearch/command/ComputeTreeSearch.java	(revision 3453)
@@ -99,7 +99,7 @@
 				}
 			}
 			catch (Exception e) {
-				Log.severe(Messages.ErrorFailedToInstantiateP0 + contributions[i].getName() + "."); //$NON-NLS-2$
+				Log.severe(Messages.bind(Messages.ErrorFailedToInstantiateP0, contributions[i].getName()));
 				e.printStackTrace();
 			}
 		}
@@ -133,7 +133,7 @@
 				}
 			}
 			catch (Exception e) {
-				Log.severe(Messages.ErrorFailedToInstantiateP0 + contributions[i].getName() + "."); //$NON-NLS-2$
+				Log.severe(Messages.bind(Messages.ErrorFailedToInstantiateP0, contributions[i].getName()));
 				e.printStackTrace();
 			}
 		}
@@ -163,7 +163,7 @@
 		}
 		else {
 			
-			Log.warning(Messages.SelectionIsNotACorpusP0 + obj);
+			Log.warning(Messages.bind(Messages.SelectionIsNotACorpusP0, obj));
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3452)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3453)
@@ -306,7 +306,7 @@
 								Integer idx = columnsOrder.get(col);
 								return "" + ((Object[]) element)[idx]; //$NON-NLS-1$
 							}
-							return TXMCoreMessages.errorColonP0;
+							return TXMCoreMessages.bind(TXMCoreMessages.errorColonP0, element);
 						}
 					});
 					columns.put(prop, col);
Index: TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3453)
@@ -614,7 +614,7 @@
 		case 0x05:// cf cqi.h:94
 
 			b = this.streamFromServer.readByte();
-			lastError = CQPSearchEngineCoreMessages.cQPErrorColonP0+b;
+			lastError = CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.cQPErrorColonP0, b);
 			
 			Log.finest(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.readByteFromTheCQiServerColonP0, b));
 			
Index: TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3453)
@@ -526,7 +526,7 @@
 	 *             the cqi client exception
 	 */
 	public List<QueryResult> query(CQLQuery query, String name) throws CqiClientException {
-		Log.finest(TXMCoreMessages.queryingPartitionP0 + this.getUserName());
+		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.queryingPartitionP0, this.getUserName()));
 		List<Part> parts = getParts();
 		List<QueryResult> results = new ArrayList<>(parts.size());
 		for (Subcorpus part : parts) {
Index: TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3453)
@@ -738,7 +738,7 @@
 	 *             the cqi client exception
 	 */
 	public void dropQueryResult(QueryResult queryResult) throws CqiClientException {
-		Log.fine(SearchEngineCoreMessages.deletingQueryResultP0 + queryResult.getName());
+		Log.fine(SearchEngineCoreMessages.bind(SearchEngineCoreMessages.deletingQueryResultP0, queryResult.getName()));
 		try {
 			CorpusManager.getCorpusManager().getCqiClient().dropSubCorpus(queryResult.getQualifiedCqpId());
 		}
Index: TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/PartitionFocus.java
===================================================================
--- TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/PartitionFocus.java	(revision 3452)
+++ TXM/trunk/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/PartitionFocus.java	(revision 3453)
@@ -91,8 +91,7 @@
 				throw new IllegalArgumentException(TXMCoreMessages.focusIsEmptyOrNull);
 			}
 			if (!partNames.contains(mod)) {
-				Log.finest(TXMCoreMessages.theP0PartFocusDoesntBelongToPartitionP1 + mod
-						+ " " + partNames); //$NON-NLS-1$
+				Log.finest(TXMCoreMessages.bind(TXMCoreMessages.theP0PartFocusDoesntBelongToPartitionP1, mod, partNames));
 				throw new IllegalArgumentException(TXMCoreMessages.unknownPartitionName);
 			}
 		}
Index: TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3452)
+++ TXM/trunk/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3453)
@@ -636,8 +636,9 @@
 					
 					@Override
 					public String getColumnText(Object element, int columnIndex) {
-						if (element instanceof TypedValue)
+						if (element instanceof TypedValue) {
 							return ((TypedValue) element).getId();
+						}
 						return element.toString();
 					}
 				});
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3453)
@@ -156,7 +156,7 @@
 			return ret;
 		}
 		catch (Exception e) {
-			Log.severe(TXMUIMessages.CouldNotUpdateTXMP0 + e + "."); //$NON-NLS-2$
+			Log.severe(TXMUIMessages.bind(TXMUIMessages.CouldNotUpdateTXMP0, e));
 			Log.printStackTrace(e);
 		}
 		return null;
@@ -334,8 +334,8 @@
 			}
 		}
 		catch (Exception e) {
-			Log.warning(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1 + uriDev);
-			e.printStackTrace();
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1, uriDev, e));
+			Log.printStackTrace(e);
 		}
 		
 		String uriAlpha = uriBase + "/alpha";//$NON-NLS-1$
@@ -349,8 +349,8 @@
 			}
 		}
 		catch (Exception e) {
-			Log.warning(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1 + uriAlpha);
-			e.printStackTrace();
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1, uriAlpha, e));
+			Log.printStackTrace(e);
 		}
 		
 		String uriBeta = uriBase + "/beta";//$NON-NLS-1$
@@ -364,7 +364,8 @@
 			}
 		}
 		catch (Exception e) {
-			Log.warning(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1 + uriBeta);
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1, uriBeta, e));
+			Log.printStackTrace(e);
 		}
 	}
 	
@@ -411,8 +412,8 @@
 			}
 		}
 		catch (Exception e) {
-			Log.warning(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1 + uriDev);
-			e.printStackTrace();
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1, uriDev, e));
+			Log.printStackTrace(e);
 		}
 		
 		String uriAlpha = uriBase + "/alpha";//$NON-NLS-1$
@@ -426,8 +427,8 @@
 			}
 		}
 		catch (Exception e) {
-			Log.warning(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1 + uriAlpha);
-			e.printStackTrace();
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1, uriAlpha, e));
+			Log.printStackTrace(e);
 		}
 		
 		String uriBeta = uriBase + "/beta";//$NON-NLS-1$
@@ -441,7 +442,8 @@
 			}
 		}
 		catch (Exception e) {
-			Log.warning(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1 + uriBeta);
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1, uriBeta, e));
+			Log.printStackTrace(e);
 		}
 		
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3453)
@@ -24,7 +24,7 @@
 		
 		Object first = selection.getFirstElement();
 		if (!(first instanceof MainCorpus)) {
-			Log.warning(TXMUIMessages.SelectionP0MustBeAcorpusAborting0);
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.SelectionP0MustBeAcorpusAborting0, first));
 			return null;
 		}
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 3453)
@@ -27,7 +27,7 @@
 			final TXMResult r = (TXMResult)first;
 			
 			final IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindow(event);
-			TextDialog dialog = new TextDialog(window.getShell(), TXMUIMessages.RenameP0 + r, TXMUIMessages.EnterTheNewNameToShowInTheCorpusView, r.getCurrentName());
+			TextDialog dialog = new TextDialog(window.getShell(), TXMUIMessages.bind(TXMUIMessages.RenameP0, r), TXMUIMessages.EnterTheNewNameToShowInTheCorpusView, r.getCurrentName());
 			if (dialog.open() == TextDialog.OK) {
 				String newName = dialog.getText();
 				//if (newName.length() > 0) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/OpenCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/OpenCorpus.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/OpenCorpus.java	(revision 3453)
@@ -50,7 +50,7 @@
 			d = Display.getDefault();
 		}
 		
-		JobHandler job = new JobHandler(TXMUIMessages.OpeningTheP0Corpus+iproject.getName()) {
+		JobHandler job = new JobHandler(TXMUIMessages.bind(TXMUIMessages.OpeningTheP0Corpus, iproject.getName())) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3453)
@@ -132,7 +132,7 @@
 			project.setImportModuleName("xtz"); //$NON-NLS-1$
 		}
 		
-		JobHandler job = new JobHandler(TXMUIMessages.UpdateTheP0CorpusUsingP1 + corpus + " using " + project) { //$NON-NLS-2$
+		JobHandler job = new JobHandler(TXMUIMessages.bind(TXMUIMessages.UpdateTheP0CorpusUsingP1, corpus, project)) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3453)
@@ -393,7 +393,7 @@
 					}
 				}
 				catch (Exception e2) {
-					Log.warning(TXMUIMessages.CouldNotLoadThecorpusFromtheP0DirectoryP1 + corpusDirectory + ": " + e2); //$NON-NLS-2$
+					Log.warning(TXMUIMessages.bind(TXMUIMessages.CouldNotLoadThecorpusFromtheP0DirectoryP1, corpusDirectory, e2));
 					Log.printStackTrace(e2);
 				}
 			}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/CloseCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/CloseCorpus.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/CloseCorpus.java	(revision 3453)
@@ -67,7 +67,7 @@
 				});
 			}
 		}
-		JobHandler job = new JobHandler(TXMUIMessages.ClosingTheP0Corpus+corpora) {
+		JobHandler job = new JobHandler(TXMUIMessages.bind(TXMUIMessages.ClosingTheP0Corpus, corpora)) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExportXMLTXMFiles.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExportXMLTXMFiles.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExportXMLTXMFiles.java	(revision 3453)
@@ -38,16 +38,16 @@
 				try {
 					File[] files = txmDir.listFiles();
 					if (files == null) {
-						Log.warning(TXMUIMessages.WarningNoTXMDirectoryP0+txmDir);
+						Log.warning(TXMUIMessages.bind(TXMUIMessages.WarningNoTXMDirectoryP0, txmDir));
 						return false;
 					}
 					int s = files.length;
 					if (s == 0) {
-						Log.warning(TXMUIMessages.WarningNoXMLTXMFilesDirectoryP0+txmDir);
+						Log.warning(TXMUIMessages.bind(TXMUIMessages.WarningNoXMLTXMFilesDirectoryP0, txmDir));
 						return false;
 					}
 					Zip.compress(txmDir, targetZipFile, new ConsoleProgressBar(s));
-					Log.info(TXMUIMessages.XMLTXMFilesExportedInP0+targetZipFile);
+					Log.info(TXMUIMessages.bind(TXMUIMessages.XMLTXMFilesExportedInP0, targetZipFile));
 				}
 				catch (IOException e) {
 					Log.printStackTrace(e);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommandsAPI.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommandsAPI.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommandsAPI.java	(revision 3453)
@@ -5,6 +5,7 @@
 import org.txm.functions.Command;
 import org.txm.functions.CommandsAPI;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.utils.logger.Log;
 
 
 /**
@@ -27,7 +28,7 @@
 
 		Command command = cmds.get(cmd);
 		if (command == null) {
-			System.out.println(TXMUIMessages.NoCommandFoundWithNameP0+cmd);
+			Log.warning(TXMUIMessages.bind(TXMUIMessages.NoCommandFoundWithNameP0, cmd));
 			return null;
 		}
 
@@ -60,7 +61,7 @@
 			return result;
 		} else {
 			Object result = super.call(cmd, source, parameters);
-			System.out.println(TXMUIMessages.DoneP0 + result);
+			Log.info(TXMUIMessages.bind(TXMUIMessages.DoneP0, result));
 			return result;
 		}
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3453)
@@ -944,8 +944,8 @@
 								
 								// popup alert to inform user that the result has been manually edited
 								if (TXMEditor.this.getResult().isAltered()
-										&& !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMCoreMessages.bind(
-												TXMUIMessages.warning_popup_theP0HasBeenEditedItsChangesWillBeLost, TXMEditor.this.getResult().getResultType()))) {
+										&& !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, 
+												TXMCoreMessages.bind(TXMUIMessages.warning_popup_theP0HasBeenEditedItsChangesWillBeLost, TXMEditor.this.getResult().getResultType()))) {
 									setCanceled(true);
 								}
 								// popup alert to inform user that children results will be recomputed
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DownloadFile.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DownloadFile.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DownloadFile.java	(revision 3453)
@@ -50,7 +50,7 @@
 
 					System.out.print(NLS.bind(TXMUIMessages.DownloadFileFromP0, url));
 					
-					DownloadJobHandler job = new DownloadJobHandler(TXMUIMessages.DownloadP0+url, url, outfile, contentLength, done);
+					DownloadJobHandler job = new DownloadJobHandler(TXMUIMessages.bind(TXMUIMessages.DownloadP0, url), url, outfile, contentLength, done);
 					job.setUser(true);
 					job.schedule();	
 					
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3452)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/handlers/BaseAbstractHandler.java	(revision 3453)
@@ -175,7 +175,7 @@
 	 * @param selection
 	 */
 	protected boolean logCanNotExecuteCommand(Object selection) {
-		Log.severe(StatsEngineCoreMessages.CanNotExecuteTheP0CommandWithTheP1Selection + this.getClass() + " with the selection: " + selection + "."); //$NON-NLS-2$ //$NON-NLS-3$
+		Log.severe(StatsEngineCoreMessages.bind(StatsEngineCoreMessages.CanNotExecuteTheP0CommandWithTheP1Selection, this.getClass(), selection)); //$NON-NLS-2$ //$NON-NLS-3$
 		return false;
 	}
 	
Index: TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java
===================================================================
--- TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 3452)
+++ TXM/trunk/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 3453)
@@ -71,8 +71,9 @@
 			File txmFile = text.getXMLTXMFile();
 			if (txmFile != null && txmFile.exists()) {
 				if (txmFile.length() > ALERT) {
-					if (!MessageDialog.openQuestion(shell, XMLEditorMessages.BigFile, txmFile.getAbsolutePath()+XMLEditorMessages.P0IsAVeryBigFileDoYouWantToContinueAndOpensIt)) {
-						Log.info(XMLEditorMessages.AbortingTheOpeningOfP0+txmFile);
+					if (!MessageDialog.openQuestion(shell, XMLEditorMessages.BigFile,
+							XMLEditorMessages.bind(XMLEditorMessages.P0IsAVeryBigFileDoYouWantToContinueAndOpensIt, txmFile.getAbsolutePath()))) {
+						Log.info(XMLEditorMessages.bind(XMLEditorMessages.AbortingTheOpeningOfP0, txmFile));
 						return null;
 					}
 				}
@@ -93,10 +94,10 @@
 					//
 					// String search = "\""+wordSelection[0]+"\"";
 					if (wordSelection[1] == null) {
-						System.out.println(XMLEditorMessages.SelectedWordP0 + wordSelection[0]);
+						System.out.println(XMLEditorMessages.bind(XMLEditorMessages.SelectedWordP0, wordSelection[0]));
 					}
 					else {
-						System.out.println(XMLEditorMessages.SelectedWordFromP0ToP1 + wordSelection[0] + " to " + wordSelection[1]); //$NON-NLS-2$
+						System.out.println(XMLEditorMessages.bind(XMLEditorMessages.SelectedWordFromP0ToP1, wordSelection[0], wordSelection[1])); //$NON-NLS-2$
 					}
 				}
 			}
@@ -112,7 +113,7 @@
 				XMLMultiPageEditorPart xmlEditor = (XMLMultiPageEditorPart) reditor;
 				Object selectedPage = xmlEditor.getSelectedPage();
 				if (selectedPage != null && selectedPage instanceof StructuredTextEditor) {
-					System.out.println(XMLEditorMessages.WordSelectionIdentifiersP0 + line.getKeywordIds());
+					System.out.println(XMLEditorMessages.bind(XMLEditorMessages.WordSelectionIdentifiersP0, line.getKeywordIds()));
 				}
 			}
 		}
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 3452)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TSIndex.java	(revision 3453)
@@ -111,8 +111,8 @@
 			matches = getMatchesFromTSQuery(corp);
 		}
 		catch (Exception e1) {
-			System.out.println(Messages.ErrorWhileQueingTIGERSearchP0 + e1);
-			e1.printStackTrace();
+			Log.severe(Messages.bind(Messages.ErrorWhileQueingTIGERSearchP0, e1));
+			Log.printStackTrace(e1);
 			return false;
 		}
 		int nbresults = matches.size();
@@ -163,7 +163,7 @@
 				}
 			}
 			catch (Exception e) {
-				System.out.println(Messages.ErrorWhilePropertiesProjectionP0 + e);
+				Log.severe(Messages.bind(Messages.ErrorWhilePropertiesProjectionP0, e));
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -172,11 +172,13 @@
 		int currentIndex = 0;
 		// time = System.currentTimeMillis();
 		for (int i = 0; i < nbresults; i++) {
+			
 			Line line = new Line();
 			Match match = matches.get(i);
 			int size = match.size();
 			if (isTargetUsed) size = 1;
 			for (int p = 0; p < pProperties.size(); p++) {
+				
 				Property property = pProperties.get(p);
 				int[] allprosids = propsId.get(property);
 				int[] ids = new int[size];
@@ -187,12 +189,13 @@
 			
 			String signature = line.getSignature();
 			
-			if (counts.containsKey(signature)) // if the counts contains the
+			if (counts.containsKey(signature)) { // if the counts contains the
 			// signature, increment its
 			// corresponding value
-			{
-				while (counts.get(signature).size() <= currentpartid)
+				while (counts.get(signature).size() <= currentpartid) {
 					counts.get(signature).add(0);
+				}
+				
 				int c = counts.get(signature).get(currentpartid) + 1;
 				counts.get(signature).set(currentpartid, c);
 			}
@@ -249,6 +252,7 @@
 		
 		int size = forest.getForestSize();
 		for (int match_no = 0; match_no < size; match_no++) {
+			
 			if (debug) System.out.println("Match " + match_no); //$NON-NLS-1$
 			int sentno = result.getSentenceNumberAt(match_no);
 			Sentence sentence = manager.getSentence(sentno);
@@ -257,6 +261,7 @@
 			int n = result.getSentenceSubmatchSize(sentno);
 			
 			for (int iSubMatch = 0; iSubMatch < n; iSubMatch++) {
+				
 				if (debug) System.out.println(" Sub " + iSubMatch); //$NON-NLS-1$
 				int[] var_values = result.getSentenceSubmatchAt(sentno, iSubMatch);
 				int value;
